ダッシュで奪取

SESでPL/SQLを書いていました。Web系にチェンジしたい!ので勉強中です。

【Rails】Bootstrap4の導入

Bootstrapのこと好きになれたので、今後も使うだろうとメモです。

開発環境:Rails 5.2.3

目次

  1. Gemを記載
  2. インストールする
  3. cssを読み込む
  4. jsを読み込む
  5. 参考URL

1. Gemを記載

Gemfile

# bootstrap
gem 'sprockets', '3.7.2'
gem 'bootstrap', '~> 4.3.1'
gem 'jquery-rails'

Gem公式より、

  • 「sprockets-railsのバージョンが少なくともv2.3.2であってね」とあるので、sprockets-rails を導入
  • Bootstrap4はjQueryを使用するので、jquery-railsを導入

2. インストールする

bundle install

忘れがち!注意

3. cssを読み込む

app/assets/stylesheets/application.css に追記

@import "bootstrap";

ファイル名を変更 application.css → application.scss

4. jsを読み込む

app/assets/javascripts/application.js に追記

//= require bootstrap

5. 参考URL